Project

General

Profile

Compiling tvheadend for Ubuntu 22.04 (solved)

Added by Nick Sillito 7 months ago

Im trying to compile tvheadend for Ubuntu 22.04. I have downloaded the recommended packages from [[https://tvheadend.org/projects/tvheadend/wiki/Building]].

I have cloned the latest development branch, but when I run configure, I get the following errors:

Checking support/features
checking for cc execinfo.h ...                    ok
checking for cc -mmmx ...                         ok
checking for cc -msse2 ...                        ok
checking for cc -Wunused-result ...               ok
checking for cc -fstack-protector ...             ok
checking for cc -fstack-protector-strong ...      ok
checking for cc -fstack-check ...                 ok
checking for cc -fPIE ...                         ok
checking for cc strlcat ...                       fail
checking for cc strlcpy ...                       fail
checking for cc fdatasync ...                     ok
checking for cc getloadavg ...                    ok
checking for cc atomic32 ...                      ok
checking for cc atomic64 ...                      ok
checking for cc atomic_time_t ...                 ok
checking for cc atomic_ptr ...                    ok
checking for cc bitops64 ...                      ok
checking for cc lockowner ...                     ok
checking for cc qsort_r ...                       ok
checking for cc stime ...                         fail
checking for cc gmtoff ...                        ok
checking for cc recvmmsg ...                      ok
checking for cc sendmmsg ...                      ok
checking for cc libiconv ...                      fail
^ using build-in glibc iconv routines
checking for cc ifnames ...                       ok
checking for cc cclang_threadsan ...              fail
checking for py module gzip ...                   ok
checking for pkg-config ...                       ok
checking for xgettext ...                         ok
checking for msgmerge ...                         ok
checking for gzip ...                             ok
checking for bzip2 ...                            ok
checking for pkg openssl  ...                     ok (detected 3.0.2)
checking for cc linux/dvb/version.h ...           ok
checking for pkg zlib  ...                        ok (detected 1.2.11)
checking for pkg libpcre2-8  ...                  fail (detected <none>)
checking for pkg libpcre  ...                     fail (detected <none>)
checking for pkg liburiparser  ...                ok (detected 0.9.6)
checking for pkg avahi-client  ...                ok (detected 0.8)
checking for cmake ...                            ok
checking for cc -lstdc++ ...                      ok
checking for pkg libva >=0.38.0 ...               fail (detected <none>)
checking for cc sys/inotify.h ...                 ok
checking for cc inotify_init1 ...                 ok
checking for cc dvbcsa/dvbcsa.h ...               fail
ERROR: Failed to find dvbcsa library

What am I missing?


    (1-2/2)